require "lope2d"
function love.load()
	gr = love.graphics
	gr.setLineStyle("rough")
	r = love.math.random
	w = gr.getWidth()
	h = gr.getHeight()

	vertices = {
		{x = 194, y = 166},
		{x = 208, y = 149},
		{x = 243, y = 150},
		{x = 344, y = 232},
		{x = 301, y = 283},
		{x = 218, y = 314},
		{x = 160, y = 308}
	}

	floor = lope.newBody("static", "rectangle", w / 2, h - 25, w, 50)
	lw = lope.newBody("static", "rectangle", 25, h / 2, 25, h)
	rw = lope.newBody("static", "rectangle", w - 25, h / 2, 25, h)
	ceiling = lope.newBody("static", "rectangle", w / 2, 25, w, 50)
	poly = lope.newBody("dynamic", "polygon", vertices)
	ball = lope.newBody("dynamic", "circle", w * .75, 300, 30)
	rect = lope.newBody("dynamic", "rectangle", 200, 200, 100, 50)

	bodies = {
		floor,
		lw,
		rw,
		ceiling,
		poly,
		ball,
		rect
	}

	imgFace = gr.newImage("face.png")
	poly:setImage(imgFace)
end

function love.update(dt)
	lope.update(dt)
end

function love.draw()
	gr.setColor(255, 127, 0)
	lope.draw(bodies, "fill")

	gr.setColor(0, 255, 0)
	local x, y = poly.body:getWorldCenter()
	gr.circle("fill", x, y, 5)
end

function love.mousepressed(x, y, button)
	poly:applyLinearImpulse(r(-1000, 1000), -1000)
	ball:applyLinearImpulse(r(-1000, 1000), -1000)
	rect:applyLinearImpulse(r(-1000, 1000), -1000)
end